"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const row_1 = __importDefault(require("../row"));
const theme_1 = require("../theme");
const utils_1 = require("../utils");
require("../utils/bootstrap");
const fullscreen_1 = __importDefault(require("./fullscreen"));
const renderWidth_1 = __importDefault(require("./renderWidth"));
const width_1 = __importDefault(require("./width"));
const Container = theme_1.styled.div `
  width: 100%;
  margin-right: auto;
  margin-left: auto;

  ${(props) => {
    const width = theme_1.gutterWidth(props.theme);
    return `
      padding-right: ${width}px;
      padding-left: ${width}px;
    `;
}} ${(props) => {
    if (props.fullscreen) {
        fullscreen_1.default();
        return utils_1.css `
        height: 100%;

        > ${row_1.default} {
          height: 100%;
        }
      `;
    }
    else if (props.fluid) {
        return "";
    }
    else {
        const renderer = {
            width: (value) => renderWidth_1.default(value),
        };
        const valueMap = {
            width: width_1.default(props),
        };
        return utils_1.render(valueMap, renderer, props.theme);
    }
}};
`;
exports.default = Container;
//# sourceMappingURL=Container.js.map